package com.ruoyi.voluntary.mapper;

import java.util.List;
import com.ruoyi.voluntary.domain.BusiCardsOpenDetail;

/**
 * 开卡详情Mapper接口
 * 
 * @author voluntary
 * @date 2022-12-03
 */
public interface BusiCardsOpenDetailMapper 
{
    /**
     * 查询开卡详情
     * 
     * @param id 开卡详情主键
     * @return 开卡详情
     */
    public BusiCardsOpenDetail selectBusiCardsOpenDetailById(Long id);
    public int insertBatch(List<BusiCardsOpenDetail> bBusiCardsOpenDetails);

    /**
     * 查询开卡详情列表
     * 
     * @param busiCardsOpenDetail 开卡详情
     * @return 开卡详情集合
     */
    public List<BusiCardsOpenDetail> selectBusiCardsOpenDetailList(BusiCardsOpenDetail busiCardsOpenDetail);

    /**
     * 新增开卡详情
     * 
     * @param busiCardsOpenDetail 开卡详情
     * @return 结果
     */
    public int insertBusiCardsOpenDetail(BusiCardsOpenDetail busiCardsOpenDetail);

    /**
     * 修改开卡详情
     * 
     * @param busiCardsOpenDetail 开卡详情
     * @return 结果
     */
    public int updateBusiCardsOpenDetail(BusiCardsOpenDetail busiCardsOpenDetail);

    /**
     * 删除开卡详情
     * 
     * @param id 开卡详情主键
     * @return 结果
     */
    public int deleteBusiCardsOpenDetailById(Long id);

    /**
     * 批量删除开卡详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusiCardsOpenDetailByIds(Long[] ids);
}
